UIPackage
Menu

Framework

Change language

Boilerplate repo

Hover Card

hover-cardui

Rich popover triggered by hover/focus instead of click. Use for inline previews — user cards on @mentions, link previews, KPI explanations. Built on reka-ui with a configurable open/close delay.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/hover-card.json
Named registry:npx shadcn@latest add @uipkge-react/hover-cardInstalls to:components/ui/hover-card/

Examples

Loading interactive previews…

Used by

Files installed (2)

  • components/ui/hover-card/hover-card.tsx2.1 kB
    'use client'
    
    import * as React from 'react'
    import * as HoverCardPrimitive from '@radix-ui/react-hover-card'
    import { cn } from '@/lib/utils'
    
    function HoverCard(props: React.ComponentProps<typeof HoverCardPrimitive.Root>) {
      return <HoverCardPrimitive.Root data-uipkge="" data-slot="hover-card" {...props} />
    }
    
    const HoverCardTrigger = React.forwardRef<
      React.ElementRef<typeof HoverCardPrimitive.Trigger>,
      React.ComponentPropsWithoutRef<typeof HoverCardPrimitive.Trigger>
    >((props, ref) => <HoverCardPrimitive.Trigger ref={ref} data-uipkge="" data-slot="hover-card-trigger" {...props} />)
    HoverCardTrigger.displayName = HoverCardPrimitive.Trigger.displayName
    
    const HoverCardContent = React.forwardRef<
      React.ElementRef<typeof HoverCardPrimitive.Content>,
      React.ComponentPropsWithoutRef<typeof HoverCardPrimitive.Content>
    >(({ className, align = 'center', sideOffset = 4, ...props }, ref) => (
      <HoverCardPrimitive.Portal>
        <HoverCardPrimitive.Content
          ref={ref}
          data-uipkge=""
          data-slot="hover-card-content"
          align={align}
          sideOffset={sideOffset}
          className={cn(
            'bg-popover text-popover-foreground motion-safe:data-[state=open]:animate-in motion-safe:data-[state=closed]:animate-out motion-safe:data-[state=open]:ease-emphasized motion-safe:data-[state=open]:blur-in-2 motion-safe:data-[state=closed]:blur-out-2 motion-safe:data-[state=closed]:fade-out-0 motion-safe:data-[state=open]:fade-in-0 motion-safe:data-[state=closed]:zoom-out-95 motion-safe:data-[state=open]:zoom-in-95 motion-safe:data-[side=bottom]:slide-in-from-top-2 motion-safe:data-[side=left]:slide-in-from-right-2 motion-safe:data-[side=right]:slide-in-from-left-2 motion-safe:data-[side=top]:slide-in-from-bottom-2 z-50 w-64 rounded-md border p-4 shadow-md outline-hidden motion-safe:data-[state=closed]:duration-[var(--dur-exit)] motion-safe:data-[state=open]:duration-200',
            className,
          )}
          {...props}
        />
      </HoverCardPrimitive.Portal>
    ))
    HoverCardContent.displayName = HoverCardPrimitive.Content.displayName
    
    export { HoverCard, HoverCardTrigger, HoverCardContent }
    
  • components/ui/hover-card/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/hover-card.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Hover Card

hover-cardui

Rich popover triggered by hover/focus instead of click. Use for inline previews — user cards on @mentions, link previews, KPI explanations. Built on reka-ui with a configurable open/close delay.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/hover-card.json
Named registry:npx shadcn-vue@latest add @uipkge/hover-cardInstalls to:app/components/ui/hover-card/

Examples

Loading interactive previews…

npm dependencies

Used by

Files installed (4)

  • app/components/ui/hover-card/HoverCard.vue0.5 kB
    <script setup lang="ts">
    import type { HoverCardRootEmits, HoverCardRootProps } from 'reka-ui'
    import { HoverCardRoot, useForwardPropsEmits } from 'reka-ui'
    
    const props = defineProps<HoverCardRootProps>()
    const emits = defineEmits<HoverCardRootEmits>()
    
    const forwarded = useForwardPropsEmits(props, emits)
    </script>
    
    <template>
      <HoverCardRoot v-slot="slotProps" data-uipkge data-slot="hover-card" v-bind="forwarded">
        <slot v-bind="slotProps" />
      </HoverCardRoot>
    </template>
    
  • app/components/ui/hover-card/HoverCardContent.vue1.6 kB
  • app/components/ui/hover-card/HoverCardTrigger.vue0.3 kB
  • app/components/ui/hover-card/index.ts0.2 kB

Raw manifest:https://uipkge.dev/r/vue/hover-card.json